=== added file 'config/drizzle.ver'
--- config/drizzle.ver	1970-01-01 00:00:00 +0000
+++ config/drizzle.ver	2010-10-08 18:00:15 +0000
@@ -0,0 +1,1 @@
+DRIZZLE7 { global: *; };

=== modified file 'configure.ac'
--- configure.ac	2010-10-14 02:38:32 +0000
+++ configure.ac	2010-10-08 18:00:15 +0000
@@ -26,7 +26,7 @@
 
 PANDORA_CANONICAL_TARGET(less-warnings, warnings-always-on, require-cxx, force-gcc42, version-from-vc, skip-visibility)
 
-LIBDRIZZLE_LIBRARY_VERSION=0:8:0
+LIBDRIZZLE_LIBRARY_VERSION=1:0:0
 #                          | | |
 #                   +------+ | +---+
 #                   |        |     |
@@ -43,11 +43,10 @@
 
 # libdrizzle versioning when linked with GNU ld.
 AS_IF([test "$lt_cv_prog_gnu_ld" = "yes"],[
-  LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_srcdir)/libdrizzle/libdrizzle.ver"
+  LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_srcdir)/config/drizzle.ver"
   ])
 AC_SUBST(LD_VERSION_SCRIPT)
 
-
 dnl Set the default datadir location to /usr/local/var/drizzle. If a
 dnl localstatedir is explicitly given, just use that.
 AS_IF([test "x${localstatedir}" = 'x${prefix}/var'],[
@@ -135,6 +134,11 @@
 dnl AM_CONDITIONAL([BUILD_GCC_PCH],[test "$GCC" = "yes"])
 AM_CONDITIONAL([BUILD_GCC_PCH],[test "no" = "yes"])
 
+AS_IF([test "$lt_cv_prog_gnu_ld" = "yes"],[
+  LDFLAGS="${LDFLAGS} ${LD_VERSION_SCRIPT}"
+  ])
+
+
 AC_CONFIG_FILES(Makefile dnl
  tests/Makefile dnl
  drizzled/plugin/version.h dnl

